APIs / Rightmove / Sold Properties

Rightmove: Sold Properties

Sold Properties from Rightmove as JSON. 1 credit per successful call.

GET /v1/rightmove/sold-properties

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
postcodestringOptionalUp to 10 characters
location_idintegerOptionalAny
location_typestringOptionalREGION, OUTCODE, POSTCODE, BRANCH, STATION
radiusintegerOptionalAny
pageintegerOptionalAny
page_sizeintegerOptionalAny
property_typestringOptionalDETACHED, FLAT, TERRACED, SEMI_DETACHED
tenurestringOptionalFREEHOLD, LEASEHOLD
sold_inintegerOptional3, 6, 12, 24, 120

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/rightmove/sold-properties?postcode=SW1A1AA" \
  -H "X-API-Key: $API_KEY"